package ru.dbotthepony.kstarbound.defs.item.impl

import ru.dbotthepony.kstarbound.defs.item.api.ICurrencyItemDefinition
import ru.dbotthepony.kstarbound.defs.item.api.IItemDefinition
import ru.dbotthepony.kstarbound.io.json.builder.JsonBuilder
import ru.dbotthepony.kstarbound.io.json.builder.JsonFactory
import ru.dbotthepony.kstarbound.io.json.builder.JsonFlat

@JsonFactory
data class CurrencyItemDefinition(
	@JsonFlat
	val parent: IItemDefinition,
	override val maxStack: Long = 16777216L,
	override var currency: String,
	override var value: Long,
) : ICurrencyItemDefinition, IItemDefinition by parent {
	override val itemType: String
		get() = super<ICurrencyItemDefinition>.itemType
}
